Package csb :: Package bio :: Package nmr :: Class ChemicalShiftNetwork

[frames] | no frames]

# Class ChemicalShiftNetwork

source code

    object --+
             |
            ChemicalShiftNetwork

Describes a network of covalently connected, chemical shift visible nuclei.

Instance Methods

__init__(self, shifts) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__iter__(self) | source code

connect(self, cs1, cs2) Connect two nuclei. | source code

iterator of ChemShiftInfo

connected_shifts(self, source, element=None) Return an iterator over all covalently connected neuclei to a given `source`. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, shifts)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `shifts` (iterable of ChemShiftInfo) - chemical shift instances
Overrides: object.__init__
  (inherited documentation)

### connect(self, cs1, cs2)

source code

Connect two nuclei.

Parameters:
  - `cs1` (ChemShiftInfo) - first chemical shift instance
  - `cs2` (ChemShiftInfo) - second chemical shift instance

### connected_shifts(self, source, element=None)

source code

Return an iterator over all covalently connected neuclei to a given `source`.

Parameters:
  - `source` (ChemShiftInfo) - source chemical shift
Returns: iterator of ChemShiftInfo